<?php

// Check nonce
PHPCUS_PARAM::CUS_REQUIRES_NONCE();

// Check Array Input
PHPCUS_PARAM::CUS_DOES_NOT_SUPPORT_ARRAY();


if
(
		PHPRC_HTTP_PARAM::REF_ISSET_IN_ARRAY
		(
				[
						'PARAM_CAT_COUNTRY_ID',
						'PARAM_CAT_COUNTRY_UNIQUE_ID',
						'PARAM_CAT_COUNTRY_CODE',
						'PARAM_CAT_COUNTRY_DESCRIPTION',
						'PARAM_CAT_COUNTRY_STATUS',
						'PARAM_CAT_COUNTRY_SYSTEM_GENERATED',
						
						'PARAM_ORDER_FIELD',
						'PARAM_ORDER_TYPE',
						'PARAM_SKIP',
						'PARAM_LIMIT'
				], True
				)
		)
{
	Try
	{
		// Read params
		// ------------------------------------------------------------------
		
		$PARAM_CAT_COUNTRY_ID = PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_CAT_COUNTRY_ID');
		$PARAM_CAT_COUNTRY_UNIQUE_ID = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_CAT_COUNTRY_UNIQUE_ID');
		$PARAM_CAT_COUNTRY_CODE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_CAT_COUNTRY_CODE');
		$PARAM_CAT_COUNTRY_DESCRIPTION = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_CAT_COUNTRY_DESCRIPTION');
		$PARAM_CAT_COUNTRY_STATUS = PHPCUS_PARAM::CUS_READ_INT('PARAM_CAT_COUNTRY_STATUS');
		$PARAM_CAT_COUNTRY_SYSTEM_GENERATED = PHPCUS_PARAM::CUS_READ_INT('PARAM_CAT_COUNTRY_SYSTEM_GENERATED');
		
		$PARAM_ORDER_FIELD = PHPCUS_PARAM::CUS_READ_SORT_FIELD
		(
				'PARAM_ORDER_FIELD',
				[
						'CAT_COUNTRY_ID',
						'CAT_COUNTRY_UNIQUE_ID',
						'CAT_COUNTRY_CODE',
						'CAT_COUNTRY_DESCRIPTION',
						'CAT_COUNTRY_STATUS',
						'CAT_COUNTRY_SYSTEM_GENERATED'
				]
				);
		
		$PARAM_ORDER_TYPE = PHPCUS_PARAM::CUS_READ_SORT_TYPE('PARAM_ORDER_TYPE');
		$PARAM_SKIP	= PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_SKIP');
		$PARAM_LIMIT = PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_LIMIT');
		
		// ------------------------------------------------------------------
		
		// Execute Stored Procedure
		$DATA_SET = PHPCUS_CATEGORY_ADDRESS_COUNTRY::CUS_GET
		(
				$PARAM_CAT_COUNTRY_ID,
				$PARAM_CAT_COUNTRY_UNIQUE_ID,
				$PARAM_CAT_COUNTRY_CODE,
				$PARAM_CAT_COUNTRY_DESCRIPTION,
				$PARAM_CAT_COUNTRY_STATUS,
				$PARAM_CAT_COUNTRY_SYSTEM_GENERATED,
				
				$PARAM_ORDER_FIELD,
				$PARAM_ORDER_TYPE,
				$PARAM_SKIP,
				$PARAM_LIMIT
				);
		
		// Return JSON response
		if(empty($DATA_SET) === False)
		{
			PHPCUS_PARAM::CUS_JSON_SUCCESS($DATA_SET);
		}
		else
		{
			PHPCUS_PARAM::CUS_JSON_SUCCESS('');
		}
		
	}
	Catch(Exception $ERR)
	{
		PHPVC_LOG::VAR_REPORT_ERROR($ERR, 0);
		PHPCUS_PARAM::CUS_JSON_ERROR($ERR->getMessage());
	}
}
else
{
	PHPCUS_PARAM::CUS_JSON_ERROR('Missing parameters');
}

?>